Skip to content

Update A Specific Template

Request

Updates an existing template. You only need to include the fields that you would like to change. All other fields will remain unchanged.

Security
apiKey
Path
idstringrequired
Query
api_keystringrequired
use_third_party_idinteger

Sets the the call to look for a Third Party ID instead of the vWork ID.

Example:use_third_party_id=1
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

PUT
/v5/templates/{id}.xml
curl -i -X PUT \
  'https://go.vworkapp.com/api/v5/templates/{id}.xml?api_key=string&use_third_party_id=1&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <template>
      <planned_duration>5400</planned_duration>
  </template>
  '

Responses

OK

Headers
Statusstring
Example:"200 OK"
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Encodingstring
Example:"gzip"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<template>
    <id readonly="readonly">1</id>
    <template_name>Lawn Mowing</template_name>
    <job_type readonly="readonly">job</job_type>
    <group_ids/>
    <web_labels type="array">
        <label>Customer Name</label>
        <label>Template Name</label>
        <label>Job ID</label>
    </web_labels>
    <mobile_labels type="array">
        <label>Customer Name</label>
        <label>Template Name</label>
    </mobile_labels>
    <enable_invoicing>false</enable_invoicing>
    <customer_name/>
    <customer_id/>
    <customer_third_party_id/>
    <worker_id/>
    <worker_third_party_id/>
    <worker_name/>
    <planned_duration>5400</planned_duration>
    <notes type="array"/>
    <steps type="array">
        <step>
            <id readonly="readonly">1</id>
            <name>Start</name>
            <created_at type="datetime" readonly="readonly">2026-10-06T19:11:55+13:00</created_at>
            <updated_at type="datetime" readonly="read…